# Uses of Class
org.eclipse.mat.hprof.IHprofParserHandler.HeapObject

Packages that use IHprofParserHandler.HeapObject
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).

## Uses of IHprofParserHandler.HeapObject in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof that return IHprofParserHandler.HeapObject
Modifier and Type
Method
Description
`static IHprofParserHandler.HeapObject`
IHprofParserHandler.HeapObject.`forInstance(long objectAddress, long classID, byte[] instanceData, long filePosition, int idSize)`
`static IHprofParserHandler.HeapObject`
IHprofParserHandler.HeapObject.`forObjectArray(long objectAddress, long classID, int arraySize, long[] ids, long filePosition)`
`static IHprofParserHandler.HeapObject`
IHprofParserHandler.HeapObject.`forPrimitiveArray(long objectAddress, byte elementType, int arraySize, long filePosition)`
Methods in org.eclipse.mat.hprof with parameters of type IHprofParserHandler.HeapObject
Modifier and Type
Method
Description
`void`
HprofParserHandlerImpl.`addObject(IHprofParserHandler.HeapObject object)`
`void`
IHprofParserHandler.`addObject(IHprofParserHandler.HeapObject object)`